Post by 00001 » Sat Oct 01, 2022 1:15 am

Hello,

I used MariaDB 10.1, but its support ended in May.

Versions MariaDB 10.4+ are no longer drop-in compatible with Oracle MySQL (and even downgrading to MariaDB 10.3.).

What version of MariaDB does OpenCart 3.0.3.8 support (since 10.1)?

Newbie

Posts

Joined
Sat Sep 07, 2019 2:58 am

Post by rjcalifornia » Sat Oct 01, 2022 7:28 am

Are there any breaking changes in MariaDB 10.4?

I know that OpenCart should run just fine on MySQL8, except for a minor change so I dont think it should be different with MariaDB

Image
A2 Hosting features: Shared Turbo Boost, Managed Warp 1, Unmanaged Hyper 1, and Warp 2 Turbo


Active Member

Posts

Joined
Fri Sep 02, 2011 1:19 pm
Location - Worldwide

Post by 00001 » Sun Oct 02, 2022 4:41 am

Mariadb10.9 is partially incompatible with MySQL8, and with older versions of Mariadb too (no easy downgrade >10.3).

Newbie

Posts

Joined
Sat Sep 07, 2019 2:58 am

Post by ADD Creative » Sun Oct 02, 2022 7:09 pm

MariaDB 10.3 works fine with OpenCart. Acording to https://mariadb.com/kb/en/mariadb-vs-my ... atibility/ MariaDB 10.4 is still drop in replacement for MySQL 5.7. Have you considered setting up a test server to test compatibility with MariaDB 10.4?

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by rjcalifornia » Tue Nov 01, 2022 8:20 am

ADD Creative wrote:
Sun Oct 02, 2022 7:09 pm
MariaDB 10.3 works fine with OpenCart. Acording to https://mariadb.com/kb/en/mariadb-vs-my ... atibility/ MariaDB 10.4 is still drop in replacement for MySQL 5.7. Have you considered setting up a test server to test compatibility with MariaDB 10.4?
Currently using MariaDB 10.6.7 and OpenCart 3.x on my Vagrant box with no major issues.

Image
A2 Hosting features: Shared Turbo Boost, Managed Warp 1, Unmanaged Hyper 1, and Warp 2 Turbo


Active Member

Posts

Joined
Fri Sep 02, 2011 1:19 pm
Location - Worldwide
Who is online

Users browsing this forum: No registered users and 17 guests